CreateAdConfiguration
Creates a new ad configuration to be used for server-side ad insertion.
Request Syntax
POST /CreateAdConfiguration HTTP/1.1
Content-type: application/json
{
"mediaTailorPlaybackConfigurations": [
{
"playbackConfigurationArn": "string"
}
],
"name": "string",
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- mediaTailorPlaybackConfigurations
-
List of integration configurations with media tailor resources.
Type: Array of MediaTailorPlaybackConfiguration objects
Array Members: Fixed number of 1 item.
Required: Yes
- name
-
Ad configuration name. Defaults to “”.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
[a-zA-Z0-9-_]*Required: No
-
Array of 1-50 maps, each of the form
string:string (key:value). See Best practices and strategies in Tagging AWS Resources and Tag Editor for details, including restrictions that apply to tags and "Tag naming limits and requirements"; Amazon IVS has no service-specific constraints beyond what is documented there.Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
([\p{L}\p{Z}\p{N}_.:/=+\-@]+)Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
([\p{L}\p{Z}\p{N}_.:/=+\-@]*)Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"adConfiguration": {
"arn": "string",
"mediaTailorPlaybackConfigurations": [
{
"playbackConfigurationArn": "string"
}
],
"name": "string",
"tags": {
"string" : "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- adConfiguration
-
Type: AdConfiguration object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
User does not have sufficient access to perform this action.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 403
- ConflictException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Updating or deleting a resource can cause an inconsistent state.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 409
- InternalServerException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Unexpected error during processing of request.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 500
- PendingVerification
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Your account is pending verification.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 403
- ResourceNotFoundException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Request references a resource which does not exist.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 404
- ServiceQuotaExceededException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Request would cause a service quota to be exceeded.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 402
- ThrottlingException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
Request was denied due to request throttling.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 429
- ValidationException
-
- accessControlAllowOrigin
- accessControlExposeHeaders
- cacheControl
- contentSecurityPolicy
- exceptionMessage
-
The input fails to satisfy the constraints specified by an AWS service.
- strictTransportSecurity
- xAmznErrorType
- xContentTypeOptions
- xFrameOptions
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: